## org.omg.Dynamic
Class ParameterListHelper

    java.lang.Object
      |
      +--org.omg.Dynamic.ParameterListHelper

public class ParameterListHelper
extends java.lang.Object

Helper class for : ParameterList

Author:
  OpenORB Compiler

Constructor Summary
`ParameterListHelper()`

Method Summary
`static Parameter[]` `extract(Any a)` Extract ParameterList from an any
`static java.lang.String` `id()` Return the ParameterList IDL ID
`static void` `insert(Any a, Parameter[] t)` Insert ParameterList into an any
`static Parameter[]` `read(InputStream istream)` Read ParameterList from a marshalled stream
`static TypeCode` `type()` Return the ParameterList TypeCode
`static void` `write(OutputStream ostream, Parameter[] value)` Write ParameterList into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterListHelper

    public ParameterListHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Parameter[] t)

  Insert ParameterList into an any
  Parameters:
    `a` - an any
    `t` - ParameterList value

### extract

    public static Parameter[] extract(Any a)

  Extract ParameterList from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ParameterList value

### type

    public static TypeCode type()

  Return the ParameterList TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ParameterList IDL ID
  Returns:
    an ID

### read

    public static Parameter[] read(InputStream istream)

  Read ParameterList from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ParameterList value

### write

    public static void write(OutputStream ostream,
                             Parameter[] value)

  Write ParameterList into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ParameterList value